Torna indietro   BaroneRosso.it - Forum Modellismo > Categoria Software > Simulatori


Rispondi
 
Strumenti discussione Visualizzazione
Vecchio 06 settembre 06, 13:29   #1 (permalink)  Top
User
 
L'avatar di Pier.py
 
Data registr.: 21-08-2006
Residenza: Parma
Messaggi: 45
Invia un messaggio via AIM a Pier.py
Simulatori per linux

Ciao a tutti, mi rendo conto di ripetere un titolo gia' letto in questo forum. ma la non ho trovato risposte.
Come utente linux mi stavo guardando attorno alla ricerca di un simulatore con licenza gpl che girasse sotto linux.
Al momento ho visto crrcsim [ http://crrcsim.sourceforge.net/ ] e slope soaring simulator [ http://www.rowlhouse.co.uk/sss/index.html ].
Quale consigliate? Pregi e difetti per chi lo li ha usati?
Grazie

PS:
Purtroppo RealFlught G3 non gira nemmeno in windows emulato con vmware, quindi ho provato ad utilizzarlo con wine e winex3, qualcuno ci e' riuscito?

Ultima modifica di Pier.py : 06 settembre 06 alle ore 13:33
Pier.py non è collegato   Rispondi citando
Vecchio 06 settembre 06, 14:51   #2 (permalink)  Top
User
 
Data registr.: 29-08-2006
Residenza: Padova
Messaggi: 7
Unhappy

Ciao,
anche io sono interessato a questo topic. Non ho informazioni sui due software che hai citato, nel senso che non li ho ancora provati; tra l'altro mi sembra che entrambi abbiano uno scarso (se non inesistene) supporto per gli elicotteri, o mi sbaglio?
Posso solo aggiungere che ho provato FMS (http://n.ethz.ch/student/mmoeller/fms/index_e.html) via wine; l'installazione è andata a buon fine ma il programma va in crash all' avvio. Spulciando sulle mailing list del proggetto, sembra che Linux non sia supportato e che non lo diventerà a breve anche se molti utenti lo hanno richiesto...

Saluti!
m3tr0 non è collegato   Rispondi citando
Vecchio 06 settembre 06, 18:04   #3 (permalink)  Top
User
 
L'avatar di Bifido
 
Data registr.: 24-10-2005
Residenza: Verona
Messaggi: 1.206
Invia un messaggio via MSN a Bifido
uso anche io linux, ma per quanto riguarda i sim mi dispiace ma winzoz ha la meglio. unico consiglio: fai il dual boot e metti in una partizioncina win (98 o 2000) tanto non serve XP se lo adoperi solo per il sim....consiglio aerofly profesional deluxe in ogni caso....
__________________
WEIZEN BEER

Nuovo sito, visitalo: www.rc-dream.net
Bifido non è collegato   Rispondi citando
Vecchio 06 settembre 06, 18:04   #4 (permalink)  Top
User
 
L'avatar di Bifido
 
Data registr.: 24-10-2005
Residenza: Verona
Messaggi: 1.206
Invia un messaggio via MSN a Bifido
comunque la cosa strana è che con wine son riusciti a far andare GTA3: se fanno andare gta3 in teoria anche aerofly dovrebbe andare
__________________
WEIZEN BEER

Nuovo sito, visitalo: www.rc-dream.net
Bifido non è collegato   Rispondi citando
Vecchio 06 settembre 06, 20:18   #5 (permalink)  Top
User
 
L'avatar di Pier.py
 
Data registr.: 21-08-2006
Residenza: Parma
Messaggi: 45
Invia un messaggio via AIM a Pier.py
Ma a dire il vero certe cose funzionano perche' sono scritte in modo piu' intelligente di altre. Se una cosa e' gia' fatta male o ha piccole pecche di programmazione basta poco a piantarla. Non faro' mai un dual-boot dopo 10 anni di linux, piuttosto un simulatore me lo faccio io!
Per FMS avevo gia' letto sul sito di wine che si installa ma non va.
Ho provato a installare con wine RFG3 di FlyMania, ma nemmeno si installa!
Mi basterebbe qualche simulatore anche per windows, ma che usi le opengl cosi' riesco a farlo andare con vmware... conoscete nulla?
Pier.py non è collegato   Rispondi citando
Vecchio 06 settembre 06, 20:30   #6 (permalink)  Top
User
 
L'avatar di Bifido
 
Data registr.: 24-10-2005
Residenza: Verona
Messaggi: 1.206
Invia un messaggio via MSN a Bifido
purtroppo no
__________________
WEIZEN BEER

Nuovo sito, visitalo: www.rc-dream.net
Bifido non è collegato   Rispondi citando
Vecchio 08 settembre 06, 15:53   #7 (permalink)  Top
User
 
L'avatar di Pier.py
 
Data registr.: 21-08-2006
Residenza: Parma
Messaggi: 45
Invia un messaggio via AIM a Pier.py
Mi sono deciso a scaricare crrcsim sia da cvs che il tarball, ma non riesco a compilare. Le dipendenze dovrebbero essere tutte soddisfatte, ma se ne esce con questo errore poco dopo aver iniziato a compilare:
--- Compiling crrc_main.cpp
crrc_soundserver.h:115: error: extra qualification 'CRRCAudioServer::' on
member
tx_interface.h:92: error: extra qualification 'T_TX_Mixer::' on member
'mix_exp'
make: *** [out/crrc_main.o] Error 1
Visto che anche voi usate linux mi chiedevo se lo aveste compilato. Ho scelto questo anzi che l'altro per via del fatto che sembra avere un miglior supporto per eventuali telecomandi o joystick da usarci assieme.
Se fate prove magari usiamo questo thread per mettere in rilievo le soluzioni, limiti e virtu' dei sw opensource per chi usa linux e non in ambito "simulazione rc".
Quialcun'altro sperimenta?
Pier.py non è collegato   Rispondi citando
Vecchio 08 settembre 06, 16:56   #8 (permalink)  Top
User
 
L'avatar di nigel_uno
 
Data registr.: 05-04-2006
Residenza: Roma, Italy
Messaggi: 3.034
Invia un messaggio via MSN a nigel_uno
http://www.rcgroups.com/forums/showthread.php?t=137190


Potrebbe esserti di aiuto.


Ciao
__________________
nigel_uno non è collegato   Rispondi citando
Vecchio 21 febbraio 07, 16:25   #9 (permalink)  Top
User
 
Data registr.: 21-04-2006
Messaggi: 127
Ciao!! Anch'io stò cercando un simulatore di modellini per linux ma non trovo niente, mi sono imbattuto in crrcsim e ho provato a compilarlo (la versione 0.97, la 0.96 e la 0.95) ma tutte mi danno lo stesso errore:

crrc_soundserver.h: At global scope:
crrc_soundserver.h:115: error: extra qualification 'CRRCAudioServer::' on member 'addSample'
tx_interface.h:92: error: extra qualification 'T_TX_Mixer::' on member 'mix_exp'
make: *** [out/crrc_main.o] Error 1

eppure le dipendenze sono soddisfatte, l'unica differenza tra le librerie che ho installato io e quelle indicate nelle note di compilazione di crrcsim sono le plib delle quali è richiesta la versione 1.8.3 mentre io ho la 1.8.4....
certo che è scritto maluccio se non si compila solo per questo....
pacio84 non è collegato   Rispondi citando
Vecchio 21 febbraio 07, 21:03   #10 (permalink)  Top
User
 
L'avatar di Bifido
 
Data registr.: 24-10-2005
Residenza: Verona
Messaggi: 1.206
Invia un messaggio via MSN a Bifido
detesto compilare: se è disponibile il run oppure nel mio caso il pacchetto deb (W ubuntu e le debian like) è mooolto meglio...
comunque sia stano che non compili anche se hai la vers della libreria aggiornata...mha vai a capire chi l ha scritto...
__________________
WEIZEN BEER

Nuovo sito, visitalo: www.rc-dream.net
Bifido non è collegato   Rispondi citando
Rispondi

Bookmarks



Strumenti discussione
Visualizzazione

Regole di scrittura
Non puoi creare nuove discussioni
Non puoi rispondere alle discussioni
Non puoi inserire allegati
Non puoi modificare i tuoi messaggi

BB code è Attivato
Le faccine sono Attivato
Il codice [IMG] è Attivato
Il codice HTML è Disattivato
Trackbacks è Disattivato
Pingbacks è Disattivato
Refbacks è Disattivato


Discussioni simili
Discussione Autore discussione Forum Commenti Ultimo Commento
DriveCalc v3.2, Win/Mac/Linux ron_van_sommeren Aeromodellismo Volo Elett. - Realizzazione Motori 2 30 gennaio 09 14:41
DriveCalc v3.2->v3.3, Win/Mac/Linux ron_van_sommeren Aeromodellismo Volo Elett. - Realizzazione Motori 0 13 novembre 07 22:49
Aiuto Linux AleDVD Software 8 16 ottobre 06 13:08
simulatori per linux davidea Simulatori 3 17 ottobre 05 16:46



Tutti gli orari sono GMT +2. Adesso sono le 05:44.


Basato su: vBulletin versione 3.8.11
Copyright ©2000 - 2024, Jelsoft Enterprises Ltd.
E' vietata la riproduzione, anche solo in parte, di contenuti e grafica. Copyright 1998/2019 - K-Bits P.I. 09395831002